Subject: bug#15848: 24.3.50; cperl-mode + which-function: Improve reporting (corner case)

From: Nathan Trapuzzano <[email-masked]>
Date: Sun, 10 Nov 2013 10:51:25 -0500

Jambunathan K <[email-masked]> writes:

> I attach the screenshot again.  (This one shows the cursor.)

Thanks, but after looking into this, I don't think it's a bug.
which-function-mode displays either the definition containing point or,
if there is none, the definition before and closest to point.  In
cperl's case, "definition" intentionally includes pod =head directives.
All you're seeing is the previous defintion's name being correctly
displayed in the mode line.

Perhaps a cperl variable to disable imenu indexing of POD directives is
what you want.  I might be able to implement something like that if it's
not too hard.